#ifndef EXO_GPIO_H
#define EXO_GPIO_H
#include "exo_pinmap.h"


void exo_gpio_init();

void core_current_sense_int(void* args);
void core_io2_expd_int(void* args);
void edge_gpx1_int(void* args);
void edge_gpx2_int(void* args);
void core_io1_expd_int(void* args);
void core_tem_sen_int(void* args);
void gps_io_expd_int(void* args);
void spi_uart_conv_int(void * args);

void ps_dvddl_pgd_isr(void* args);
void ps_dvddio_pgd_isr(void* args);
void obc_dvddio_pgd_isr(void* args);
void obc_dvddl_pgd_isr(void* args);
void edge_1p8v_pgd_isr(void* args);
void edge_3p3v_pgd_isr(void* args);
void gps_hub_pgd_isr(void* args);
void gps_pgd_isr(void* args);
void gps_core_pgd_isr(void* args);

void obc_temp_sns_isr(void* args);
void ps_temp_sns_isr(void* args);
void edge_temp_sns_isr(void* args);
void gps_temp_sns_isr(void* args);
void obc_pwr_sns_isr(void * args);
void ps_pwr_sns_isr(void * args);
void eps_alert_cb(void * args);




void obc_gpio_init();
void payload_server_gpio_init();
void edge_server_gpio_init();
void gps_gpio_init();

void ps_intr_deinit();
void edge_intr_deinit();
void gps_intr_deinit();



#endif
