/*
 * exo_ahw_al_uart_conv.h
 *
 *  Created on: May 16, 2023
 *      Author: Invcuser_63
 */

#ifndef DRIVERS_EXO_HAL_DRIVER_FW_EXO_AHW_AL_DRIVER_API_EXO_AHW_AL_WRAPPER_INC_EXO_AHW_AL_UART_CONV_H_
#define DRIVERS_EXO_HAL_DRIVER_FW_EXO_AHW_AL_DRIVER_API_EXO_AHW_AL_WRAPPER_INC_EXO_AHW_AL_UART_CONV_H_

//#include "exo_ahw_vdp_uart_conv_max14830.h"

#include <stdint.h>
#include "exo_hal_common.h"
#include "exo_ahw_al_spi_to_uart_common.h"


hal_ret_sts ahw_al_uart_conv_common_init(s_ahw_max14830_hdle *huart_conv);
hal_ret_sts ahw_al_uart_conv_common_transmit(s_ahw_max14830_hdle *huart_conv,uint8_t port,uint8_t *tx_buff,uint16_t tx_len);
hal_ret_sts ahw_al_uart_conv_common_receive(s_ahw_max14830_hdle *huart_conv,uint8_t port,uint16_t rx_len,max14830_callback_fptr_t callback_func);
hal_ret_sts ahw_al_uart_conv_common_init_intf(s_ahw_max14830_hdle *huart_conv,s_ahw_max14830_init_cfg *init_cfg);
#endif /* DRIVERS_EXO_HAL_DRIVER_FW_EXO_AHW_AL_DRIVER_API_EXO_AHW_AL_WRAPPER_INC_EXO_AHW_AL_UART_CONV_H_ */
