/*
 * obc_mem_info.h
 *
 *  Created on: 05-Feb-2024
 *      Author: Invcuser_81
 */

#ifndef _INC_OBC_MEM_INFO_H_
#define _INC_OBC_MEM_INFO_H_


/*
 * this information are collected after build.
 * it is shown in Build Analyser window in stm32cubeide
 */

/*
 * QSPI flash memory for static allocation in build
 */
#define OBC_QSPI_FLASH_TOTAL		((64*1024)*1024)
#define OBC_QSPI_FLASH_USED			1024

/*
 * FMC flash memory for static allocation in build
 */
#define OBC_FMC_FLASH_TOTAL			((16*1024)*1024)
#define OBC_FMC_FLASH_USED			5179965

/*
 * external ram (eram) memory for static allocation in build
 */
#define OBC_ERAM_FLASH_TOTAL		((32*1024)*1024)
#define OBC_ERAM_FLASH_USED         9573498


#endif /* _INC_OBC_MEM_INFO_H_ */
