/**
 * @file xband_xlink_cfg.h
 *
 * @brief This file has the computation macros used for X-Band configuration
 *
 */

#ifndef XBAND_XLINK_CFG_H
#define XBAND_XLINK_CFG_H

#include "exo_types.h"

#define BYTESWAP(x)				((((x) & 0xff) << 8) | (((x) & 0xff00) >> 8))
#define WORDSWAP(x)				((((x) & 0xff) << 24) | \
						 (((x) & 0xff00) << 8) | \
						 (((x) & 0xff0000UL) >> 8) | \
						 (((x) & 0xff000000UL) >> 24))


#endif /*XBAND_XLINK_CFG_H */
