Folder structure:

1. The source files related to TC/TM library are present in the lib folder
2. The TC/TM library has dependencies on some external libraries and those are kept under lib/external folder
3. sample_apps folder has 2 sample applications that helps to understand the usage of TC/TM library apis
4. The test folder contains gtest test app and test cases
5. The integration guide can be found in the following link: http://192.168.10.2:82/svn/iinvsys_ext_proj_docs/space/Customer_Interaction/sw_package_release/package_release_7/

Sample apps execution for Linux environment:
1. Set the ENVIRONMENT variable in Makefile.def in root to 0
2. Uncomment tc_tm_sample_mfcc_main() and tc_tm_sample_obc_main() in exo_os/exo_ral/cpu_arch/intel/src/main.c
3. From root, give "make allclean"
4. From root, give "make"
5. From root, execute antaris_exo_core.exe

Sample apps for Target environment:
1. Set the ENVIRONMENT variable in Makefile.def in root to 1
2. Uncomment tc_tm_sample_mfcc_main() and tc_tm_sample_obc_main() in exo_os/exo_ral/cpu_arch/stm32f7xx/src/main.c
3. From root, give "make allclean"
4. From root, give "make"
5. Load the generated binary to the HW

Unit test execution for Linux environment:
1. Set the ENVIRONMENT variable in Makefile.def in root to 0
2. From root, give "make allclean"
3. From root, give "make"
4. From root/exo_lib/tc_tm/test/test_app, give "make"
5. Execute the generated "unit_test" by giving "./unit_test"

Note: Currently encryption and gtest execution is not supported for Target environment.