/*
 * bl_extern_config.h
 *
 *  Created on: 24-Aug-2022
 *      Author: Invcuser52
 */

#ifndef BL_EXTERN_CONFIG_H_
#define BL_EXTERN_CONFIG_H_

/* printf and uart receive interrupt enable */
#define bl_print_addr 							0x8013cb5
#define bl_uart_rx_it_addr 						0x8013ce5

/* flash HAL api */
#define bl_flash_erase_addr 					0x8010951
#define bl_flash_prog_addr 						0x80105bd
#define bl_flash_unlock_addr  					0x8010675
#define bl_flash_lock_addr 						0x80106b9
#define bl_flash_geterror_addr 					0x80106d9

/* code flash allocation api */
#define bl_codeflashmalloc 					0x801e6f5
#define bl_codeflash_info_storeto_nvm_addr  0x801e7c1

#endif /* BL_EXTERN_CONFIG_H_ */
