/*
 * bl_main_extern.h
 *
 *  Created on: 31-Aug-2022
 *      Author: Invcuser52
 */

#ifndef BL_MAIN_EXTERN_H_
#define BL_MAIN_EXTERN_H_

#include "stdint.h"

typedef struct main_func_api_def
{
	void (*HAL_UART_Receive_IT_fp)(uint8_t *buffer, uint16_t size);
	int (*printf_fp) (const char* c, ...);
	void (*activate_soft_reset_fp)(void);
}s_main_func_api_def;


extern s_main_func_api_def *main_func_api;


#define BL_HAL_UART_Receive_IT  	main_func_api->HAL_UART_Receive_IT_fp
//#define BL_printf 					main_func_api->printf_fp
#define activate_soft_reset 		main_func_api->activate_soft_reset_fp


#endif /* BL_MAIN_EXTERN_H_ */
