/*
 * bootloader_extern.h
 *
 *  Created on: 31-Aug-2022
 *      Author: Invcuser52
 */

#ifndef BOOTLOADER_EXTERN_H_
#define BOOTLOADER_EXTERN_H_

#include "boot_lut_def.h"
#include "common_otsu.h"

 typedef struct boot_api_list_def
 {
	  e_ret_sts (*boot_module_booting_fp)(e_module_list mouduleid);
	  e_ret_sts (*boot_module_tester_fp)(e_module_list moudule_id);
	  e_ret_sts (*boot_module_loader_only_fp)(e_module_list mouduleid);
	  uint8_t   (*boot_runtime_loader_fp)(uint8_t m_id);
 }s_boot_api_list_def;

#define boot_module_booting		    boot_api->boot_module_booting_fp
#define boot_module_tester			boot_api->boot_module_tester_fp
#define boot_module_loader_only		boot_api->boot_module_loader_only_fp
#define boot_runtime_loader			boot_api->boot_runtime_loader_fp


#endif /* BOOTLOADER_EXTERN_H_ */
