/**
 *@file ftci_decode.h
 *
 *@brief This file contains function prototypes and data definitions that
 *helps to decode FTSI frame received from sender node
 */

#ifndef FTCI_DECODE_H_
#define FTCI_DECODE_H_

#include "download_def.h"


extern s_treceive_info dwnld_rqst;
extern s_treceive_info resume_ctxt_rqst;


/*!
 * @brief This API receives the FTCI frame data from TC-TM then decode FTCI frame
 *
 */
void ft_receive_ftci(uint8_t *ftci_data, uint16_t ftci_data_length);





void decode_ftci_frame(uint8_t *data);

#endif /*FTCI_DECODE_H_ */
