/**
 * @file ftds.h
 *
 * @brief This file contains function prototypes and data definitions that
 * helps to prepare FTDS frame and transmit FTDS frame
*/

#ifndef FTDS_H_
#define FTDS_H_
#include "data_type.h"




uint16_t ftds(void);
uint8_t update_resend_seq_id_list(uint32_t seq_num);
void change_head_position(uint32_t set);
void clear_ping_request(void);

void read_seq_drop_id(void);
void read_sct_drop_id(void);
void waitfor2seconds(void);
uint32_t ft_get_retranmission_status(void);
void ft_clear_retranmission_status(void);

#endif /*FTDS_H_ */
