
echo /********************************************BUILD PROCESS STARTED******************************************************/

set -e

cd ../../
make clean all

cd build_scripts/otsu

cp ../../antaris_exo_core.elf . || echo "/****COPY_OPERATION_FAILS*********/"

python3 binMaker.py
python3 binMerger_lutMaker.py debug

rm -rf  *.hex antaris_exo_core_final.bin antaris_exo_core.elf *.bak header* size_info.txt boot_table.bin antaris_exo_core_boot_table.bin

python3 vfb_merge_with_btlr.py debug

cd ../../../exo_sat_bus_btlr/build_exo_sat_bus_btlr
make clean all

cd ../
cd build_exo_sat_bus_btlr_and_ctlr_merged/
make clean all

echo /*******************************************BUILD PROCESS COMPLETED****************************************************/
