/*
 * @file exo_ahw_al_data_acq_dvc_stub.c
 *
 * @brief This file has abstracted stub functions for data acquisition device
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdlib.h>
#include "exo_ahw_al_data_acq_dvc_common.h"

#ifndef __weak
   #define __weak   __attribute__((weak))
#endif /* __weak */


__weak hal_ret_sts ahw_al_ads7828_get_data(uint32_t ahw_id,ahw_al_ads7828_chnl chnl,ahw_al_ads7828_pd_sel pd_opt,uint16_t* data)
{
	return HAL_DRIVER_DISABLED;
}




