/*
 * @file exo_io_al_linux_adc.c
 *
 * @brief This file contains linux wrapper functions for IO interface
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include <stdio.h>
#include <unistd.h>
#include "exo_io_al_linux_adc.h"
#include "exo_hal_io_al_common.h"
#include "exo_common.h"

hal_ret_sts io_hal_linux_adc_init(ioal_adc_hdle *ioal_hadc)
{
	return HAL_SCS;
}

hal_ret_sts io_hal_linux_adc_start(ioal_adc_hdle *hadc)
{
	return HAL_SCS;
}

hal_ret_sts io_hal_linux_adc_pollforconversion(ioal_adc_hdle *hadc, uint32_t Timeout)
{
	return HAL_SCS;
}

hal_ret_sts io_hal_linux_adc_getvalue(ioal_adc_hdle *hadc)
{
	return HAL_SCS;
}

hal_ret_sts io_hal_linux_adc_stop(ioal_adc_hdle *hadc)
{
	return HAL_SCS;
}
