/*
 * @file ina230_interface.h
 *
 * @brief This file contains structures,function prototype to read and
 * store the data from digital thermostat
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _MEM_TEST_H_
#define _MEM_TEST_H_

#include <stdint.h>
#include "exo_types.h"
//Macro to enable test code
#define EXT_MEM_TEST_ENB

#ifdef EXT_MEM_TEST_ENB
uint8_t ext_flash_mem_test();
uint8_t qspi_test_code(void);
void qspi_test_thread_ctxt(void);
#endif


#endif /* _EXT_MEM_INTF_H_ */
