/**
 * @file log_modulename.h
 *
 * @brief This file contains logger enumeration values for the module MODULENAME
 *
 *  This is a template file to be followed to include new modules in logger software component
 *
 */


/* Note: header guard format should not be changed;
 * valid way to represent header guard should be "_LOG_<your module name>_H_" example: _LOG_ADCS_H_
 * */
#ifndef _LOG_MODULENAME_H_
#define _LOG_MODULENAME_H_




/* User has to update enumeration member list */
#define MODULENAME_FOREACH_LOG(MODULENAME_LOG_NAME) 				\
        MODULENAME_LOG_NAME(ENUM_MEMEBER_1)   						\
        MODULENAME_LOG_NAME(ENUM_MEMEBER_2)  						\
        MODULENAME_LOG_NAME(ENUM_MEMEBER_3)  						\



#define MODULENAME_GENERATE_ENUM(ENUM) ENUM,
#define MODULENAME_GENERATE_STRING(STRING) #STRING,

typedef enum log_modulename_e_
{
	MODULENAME_FOREACH_LOG(MODULENAME_GENERATE_ENUM)
}log_modulename_e;



#endif /* _LOG_MODULENAME_H_ */
