/**
  ******************************************************************************
  * @file    crc8.h
  * @author  Khusainov Timur
  * @version 0.0.1.5
  * @date    19.06.2012
  * @brief   CRC8 support
  ******************************************************************************
  * @attention
  * <h2><center>&copy; COPYRIGHT 2012 timypik@gmail.com </center></h2>
  ******************************************************************************
  */

#ifndef DEF_LIBCRC_CHECKSUM_H
#define DEF_LIBCRC_CHECKSUM_H

#include <stdint.h>

/*
 * Prototype list of global functions
 */
uint8_t CRC8(const void *data, size_t length);

#endif  // DEF_LIBCRC_CHECKSUM_H
