/*
 * @file ft_config_param.h
 *
 * @brief This file contains definied macros for file tranfer configuration
 *         parameters.
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _INC_FT_CONFIG_PARAM_H_
#define _INC_FT_CONFIG_PARAM_H_

/******************************************************************************/
/*                Definition of exported macros                 			  */
/******************************************************************************/

#define SUS_RES_RESPONSE_WAIT_SEC 5
#define SENDER_RESPONSE_WAIT_TIME 44


#endif /* GS_PS_SIMU_LIB_FILE_TRANSFER_INC_FT_CONFIG_PARAM_H_ */
