/**
 * @file common_otsu.h
 *
 * @brief This file contains type defines of return status
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#ifndef COMMON_OTSU_H_
#define COMMON_OTSU_H_

typedef enum retur_stats
{
	R_NOK1,
	R_OK1
}e_ret_sts;

#endif /* COMMON_OTSU_H_ */
