/*
 * ftfci_decode.h
 *
 *  Created on: 05-Oct-2022
 *      Author: Invcuser52
 */

#ifndef _INC_FTFCI_DECODE_H_
#define _INC_FTFCI_DECODE_H_

#include "file_transfer.h"

#include "message_frame_def.h"



/*!
 * @brief This API receives the FTFCI frame data from TC-TM then decode FTFCI frame
 *
 */
void ft_receive_ftfci(uint8_t *ftfci_data, uint16_t ftfci_data_length);




void ftfci_clear_continous_ping_cntr(void);
void ft_decode_ftfci_frame(void);
void ft_clear_ftfci_queue_flag(void);



#endif /* FILE_TRANS_REL_V1_SAMPLE_APPS_SAT_SAMPLE_APP_INC_FTFCI_DECODE_H_ */
