/*
 * upload_def.h
 *
 *  Created on: 03-Oct-2022
 *      Author: Invcuser52
 */

#ifndef _INC_UPLOAD_DEF_H_
#define _INC_UPLOAD_DEF_H_

#define FT_FTSR_RECEIVER_READY  			  1
#define FT_FTSR_RECEIVER_READY_NOT_RECEIVED   0


typedef struct transfer_info
{
#ifndef FT_OBC
	FILE * fptr;
#endif
	uint8_t *mptr;
	uint32_t size; /*file or memory size */
	uint32_t total_pckts;
	uint32_t pckt_seq_num;
	uint32_t checksum;
	uint32_t mem_address;
	uint16_t packet_data_size;
	uint16_t packet_data_size_copy;
	uint16_t final_packet_data_size;
	uint16_t mtu_size; /*MTU size */
	uint8_t unit;
	uint8_t tx_mode;
	uint8_t file_format;
	uint16_t app_id;
	uint8_t file_opened;
	uint8_t file_name_size;
	uint8_t resume_ctxt_mode;
	uint8_t seq_loss_detect_enable;
	uint8_t receiver_is_ready;
    uint8_t session_id;
    uint8_t file_id;                            ///< file id to differentiate multiple files send to same app
    uint16_t rx_node_conn_fail_timeout;         ///* receiver node timeout time for connection failure in seconds

}

s_transfer_info;


#endif /* FILE_TRANS_REL_V1_SAMPLE_APPS_SENDER_SAMPLE_APP_INC_UPLOAD_DEF_H_ */
