Folder structure:

1. The source files related to TC/TM library are present in the lib folder
2. The TC/TM library has dependencies on some external libraries and those are kept under lib/external folder
3. sample_apps folder has 4 sample applications that helps to understand the usage of TC/TM library apis
4. test folder contains files related to google test suite and unit test cases.


Integration steps:


1. The library along with the sample apps and test apps can be built by invoking the following command: ./build_all.sh release
[Commentary : ./build_all.sh clean can be used to clean up the generated the binaries along with .a library file]

2. Each folder mentioned in the folder structure section has a build script included with it. 
   They can also be individually built by invoking their respective build scripts along with “release” 
   as an argument. Using “clean” as an argument will clean up the binaries

3. Invoking ./build_lib.sh release inside the lib folder is enough to generate the TC/TM library .a. 
   Once the build is successful, libtc_tm_lib.a will be generated inside the lib folder. 

4. It can be used to statically link with the required application.

5. The make file inside the sample apps folder can be referred as an example to statically link the TC/TM library with the application.

Warnings - Scheduler
Maximum buffer handling is set to 4KB. If more events are to be handled then, buffer has to be increased
Leap year not handled
Leap increment not handled
Maximum number of days that can be adjusted is 127 days