#include<stdio.h>
#include<stdlib.h>

typedef unsigned long int uint32_t;
struct node
{
    void *data;
    struct node *next;
};

//struct node *front = NULL, *rear = NULL;

typedef struct node node;

typedef struct
{
    node *front;
    node *rear;
    size_t item_size;
    uint32_t item_count;

}s_queue_hdl;

typedef s_queue_hdl *s_queue_hdl_ptr;

s_queue_hdl_ptr q_id;
int* var;
int* var2;

void create_queue(s_queue_hdl_ptr *q_hdl,size_t item_size,uint32_t item_count)
{
    *q_hdl=(s_queue_hdl_ptr)malloc(sizeof(s_queue_hdl));
    (*q_hdl)->front=NULL;
    (*q_hdl)->rear=NULL;
    (*q_hdl)->item_size=item_size;
    (*q_hdl)->item_count=item_count;
    printf("queue created\n");
}

void delete_queue(s_queue_hdl_ptr q_hdl)
{
    free(q_hdl);
    printf("queue deleted");
}

void enqueue(s_queue_hdl_ptr q_hdl,void* val)
{
    node *newNode = (node*)malloc(sizeof(node));
    newNode->data = val;
    newNode->next = NULL;
    printf("before enqueue if condition \n");
    if(q_hdl->front == NULL && q_hdl->rear == NULL)
    {
        q_hdl->front = newNode;
        q_hdl->rear = newNode;
    }
    else
    {
        //add newnode in rear->next
        q_hdl->rear->next = newNode;
        q_hdl->rear = newNode;
    }
}

void dequeue(s_queue_hdl_ptr q_hdl,void** val)
{
    //used to free the first node after dequeue
    struct node *temp;

    if(q_hdl->front == NULL)
        printf("Queue is Empty. Unable to perform dequeue\n");
    else
    {
        temp = q_hdl->front;

        //make the front node points to the next node
        q_hdl->front = q_hdl->front->next;

        //if front == NULL, set rear = NULL
        if(q_hdl->front == NULL)
            q_hdl->rear = NULL;


        *val=temp->data;
    }

}

    int v1 = 1, v2 = 2;
int main()
{
    printf("queue_implementation\n");
    create_queue(&q_id,sizeof(int),10);
    enqueue(q_id,(void*)&v1);
    //enqueue(q_id,(void*)&v2);
#if(1)
    dequeue(q_id,(void*)&var);
    printf("data==%d\n",*var);
    //dequeue(q_id,var2);
    //printf("data==%d\n",*var2);
#endif
    return 0;
}
