#include <stdio.h>
#include <string.h>
#include <stdlib.h>

typedef struct _os_info
{
    char os_name[4];
    int os_bit_type;
    char test;
    char pad;
    short variable;
}s_os_info;

typedef struct _system_info
{
    int system_id;
    int dev_id;
    int parm_id;
    int opr_id;
    s_os_info os_info;
}s_system_info;

void encode_struct_info(s_os_info *os_info_ptr, char *mem_addr_ptr);

/* Encoding example */
int main()
{
    /* Declaration */
    char *mem_ptr = NULL;
    s_os_info os_info;

    /* Update values */
    memset(&os_info,0,sizeof(s_os_info));
    memcpy(os_info.os_name,"WIND",4);
    os_info.os_bit_type = 64;
    os_info.test = 'g';
    os_info.variable = 20;

    /* Memory allocation */
    mem_ptr = malloc(100);

    /* Start encoding */
    encode_struct_info(&os_info,mem_ptr);

    return 0;
}

void encode_struct_info(s_os_info *os_info_ptr, char *mem_addr_ptr)
{

    int count;
    memcpy(mem_addr_ptr,os_info_ptr,sizeof(s_os_info));
#if 0
    char *tmp_ptr = mem_addr_ptr;

    /* Updating info at location 5000 to 5003 */
    memcpy(mem_addr_ptr,os_info_ptr->os_name,4);
    mem_addr_ptr = mem_addr_ptr + 4;

    /* Updating info at location 5004 to 5007 */
    memcpy(mem_addr_ptr,&(os_info_ptr->os_bit_type),4);
    mem_addr_ptr = mem_addr_ptr + 4;

    /* Updateing info at location 5008 for one byte only */
    *mem_addr_ptr = os_info_ptr->test;
    mem_addr_ptr = mem_addr_ptr + 1;

    /* Updating info at location 5009 */
    memcpy(mem_addr_ptr,&(os_info_ptr->variable),2);

    mem_addr_ptr = tmp_ptr;

    printf("\nEncoded value in string format %s\n",mem_addr_ptr);

    /*
    memcpy(os_info.os_name,"WIND",4);
    os_info.os_bit_type = 64;
    os_info.test = 'g';
    os_info.variable = 20; */

#endif
    for(count = 0; count < sizeof(s_os_info); count ++)
    {
        printf("\nEncoded value in hex format %d\n",(int)*mem_addr_ptr);
        mem_addr_ptr++;
    }
}
